Subject: Re: bug#63578: 29.0.91; Org Cannot tangle with tramp using sudo

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 May 2023 08:54:27 +0300

> Date: Thu, 18 May 2023 22:21:16 +0300
> From:  "[email-masked]" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Triyng to tangle this org block on emacs 29.0.91 with emacs -Q
> 
> #+begin_src conf :tangle /ssh:user@server|sudo::/etc/test.conf
> test
> #+end_src
> 
> It hangs with Opening connection nil for root@server using sudo.... If I
> install emacs 28 everything works fine.
> 
> Also when I manually do M-x find-file > 
> /ssh:user@server|sudo::/etc/test.conf
> it finds with without problems and after that I can tangle the block
> until I restart emacs then it fails again. This again was tested with 
> emacs -Q.
> 
> If I try to tangle a non root file, the problem does not appear.
> 
> I also tested on emacs 30 both on archlinux and opensuse tumbleweed.

Thank you for your report.

Adding Org developers to CC, in case Org has something to do with
this.